package com.kusalic.zavrsni;

/**
 * Sučelje koje ostvaruju jedinke potrebne za provodbu genetskog algortima.
 * @author Domagoj
 */
public interface IJedinka {

	/**
	 * Provodi križanje
	 * @param a prvi roditelj
	 * @param b drugi roditelj
	 * @return dijete
	 */
	public IJedinka krizaj(IJedinka a,IJedinka b);
	
	/**
	 * Mutira jedinku nad kojom se pozove
	 */
	public void mutiraj();
	
	/**
	 * @return dobrota jedinke 
	 */
	public double dobrota();
	
}
